> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/authentication/app-authorization.md).

# App Authorization

## POST /api/Public/AuthorizeApp/authorize

> Authorize app

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"AuthorizeApp"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.CoreApi.Public.Controllers.AuthorizeAppRequest":{"required":["appName","secretKey"],"type":"object","properties":{"appName":{"minLength":1,"type":"string"},"secretKey":{"minLength":1,"type":"string"}},"additionalProperties":false}}},"paths":{"/api/Public/AuthorizeApp/authorize":{"post":{"tags":["AuthorizeApp"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.CoreApi.Public.Controllers.AuthorizeAppRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Authorize app","operationId":"post_AuthorizeApp_authorize"}}}}
```

## POST /api/Public/AuthorizeApp/refresh

> Refresh app token

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"AuthorizeApp"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.Shared.DTOs.RefreshtokenRequest":{"type":"object","properties":{"refreshToken":{"type":"string","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/AuthorizeApp/refresh":{"post":{"tags":["AuthorizeApp"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.RefreshtokenRequest"}}}},"responses":{"200":{"description":"OK"}},"summary":"Refresh app token","operationId":"post_AuthorizeApp_refresh"}}}}
```
